Bug 270531 - Kaffeine crash!
Summary: Kaffeine crash!
Status: RESOLVED FIXED
Alias: None
Product: kaffeine
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Christoph Pfister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-09 22:07 UTC by giofel
Modified: 2011-04-10 19:52 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description giofel 2011-04-09 22:07:49 UTC
Application: kaffeine (1.2.1)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-28-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:
I had a scan of TV channels with Pinnacle DVB-T Hybrid Pro Stick 330th, when saving, Kaffeine always goes in crash!

The crash can be reproduced every time.

-- Backtrace:
Application: Kaffeine (kaffeine), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f27d614a760 (LWP 11551))]

Thread 2 (Thread 0x7f27d59cb700 (LWP 11552)):
#0  0x00000036bdada203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000036bf644009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00000036bf6447b5 in g_main_loop_run () from /lib/libglib-2.0.so.0
#3  0x00000036c2aa63c4 in ?? () from /usr/lib/libgio-2.0.so.0
#4  0x00000036bf6697e4 in ?? () from /lib/libglib-2.0.so.0
#5  0x00000036be207971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6  0x00000036bdae692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f27d614a760 (LWP 11551)):
[KCrash Handler]
#6  ref (this=0x1617d60, channel=...) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#7  QExplicitlySharedDataPointer (this=0x1617d60, channel=...) at /usr/include/qt4/QtCore/qshareddata.h:162
#8  ExplicitlySharedDataPointer (this=0x1617d60, channel=...) at /build/buildd/kaffeine-1.2.1/src/dvb/../shareddata.h:39
#9  DvbEpgEntry (this=0x1617d60, channel=...) at /build/buildd/kaffeine-1.2.1/src/dvb/dvbepg.h:34
#10 DvbEpgModel::channelRemoved (this=0x1617d60, channel=...) at /build/buildd/kaffeine-1.2.1/src/dvb/dvbepg.cpp:389
#11 0x0000000000423371 in DvbEpgModel::qt_metacall (this=0x1617d60, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0x7fff45c0aa30) at /build/buildd/kaffeine-1.2.1/obj-x86_64-linux-gnu/src/moc_dvbepg.cpp:100
#12 0x0000003c1a380b27 in QMetaObject::activate (sender=0x15f20f0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff45c0aa30) at kernel/qobject.cpp:3280
#13 0x00000000004225e3 in DvbChannelModel::channelRemoved (this=0x1617d60, _t1=<value optimized out>) at /build/buildd/kaffeine-1.2.1/obj-x86_64-linux-gnu/src/moc_dvbchannel.cpp:115
#14 0x000000000042b265 in DvbChannelModel::removeChannel (this=0x15f20f0, channel=...) at /build/buildd/kaffeine-1.2.1/src/dvb/dvbchannel.cpp:464
#15 0x000000000042d617 in DvbChannelModel::cloneFrom (this=<value optimized out>, other=0x0) at /build/buildd/kaffeine-1.2.1/src/dvb/dvbchannel.cpp:262
#16 0x000000000042497c in DvbScanDialog::qt_metacall (this=0x1a08330, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0x7fff45c0aea0) at /build/buildd/kaffeine-1.2.1/obj-x86_64-linux-gnu/src/moc_dvbscandialog.cpp:83
#17 0x0000003c1a380b27 in QMetaObject::activate (sender=0x1a08330, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff45c0aa30) at kernel/qobject.cpp:3280
#18 0x0000003c1c97bc74 in KDialog::slotButtonClicked (this=0x1a08330, button=4) at ../../kdeui/dialogs/kdialog.cpp:872
#19 0x0000003c1c97daf9 in KDialog::qt_metacall (this=0x1a08330, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff45c0b080) at ./kdialog.moc:190
#20 0x00000000004248c0 in DvbScanDialog::qt_metacall (this=0x1617d60, _c=23216680, _id=8, _a=0x7fff45c0aa30) at /build/buildd/kaffeine-1.2.1/obj-x86_64-linux-gnu/src/moc_dvbscandialog.cpp:77
#21 0x0000003c1a380b27 in QMetaObject::activate (sender=0x13284c8, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff45c0aa30) at kernel/qobject.cpp:3280
#22 0x0000003c1a3837fe in QSignalMapper::mapped (this=0x1617d60, _t1=4) at .moc/release-shared/moc_qsignalmapper.cpp:101
#23 0x0000003c1a384a12 in QSignalMapper::map (this=0x13284c8, sender=0x1a11160) at kernel/qsignalmapper.cpp:266
#24 0x0000003c1a384c90 in QSignalMapper::qt_metacall (this=0x13284c8, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff45c0b210) at .moc/release-shared/moc_qsignalmapper.cpp:87
#25 0x0000003c1a380b27 in QMetaObject::activate (sender=0x1a11160, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff45c0aa30) at kernel/qobject.cpp:3280
#26 0x0000003c1be95402 in QAbstractButton::clicked (this=0x1617d60, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#27 0x0000003c1bb8feeb in QAbstractButtonPrivate::emitClicked (this=0x19faf50) at widgets/qabstractbutton.cpp:546
#28 0x0000003c1bb915bb in QAbstractButtonPrivate::click (this=0x19faf50) at widgets/qabstractbutton.cpp:539
#29 0x0000003c1bb9182c in QAbstractButton::mouseReleaseEvent (this=0x1a11160, e=0x7fff45c0bb60) at widgets/qabstractbutton.cpp:1121
#30 0x0000003c1b80e04e in QWidget::event (this=0x1a11160, event=0x7fff45c0bb60) at kernel/qwidget.cpp:8187
#31 0x0000003c1b7b7fdc in QApplicationPrivate::notify_helper (this=0x12f6050, receiver=0x1a11160, e=0x7fff45c0bb60) at kernel/qapplication.cpp:4396
#32 0x0000003c1b7be30e in QApplication::notify (this=0x7fff45c0c860, receiver=0x1a11160, e=0x7fff45c0bb60) at kernel/qapplication.cpp:3959
#33 0x0000003c1ca22156 in KApplication::notify (this=0x7fff45c0c860, receiver=0x1a11160, event=0x7fff45c0bb60) at ../../kdeui/kernel/kapplication.cpp:310
#34 0x0000003c1a368cdc in QCoreApplication::notifyInternal (this=0x7fff45c0c860, receiver=0x1a11160, event=0x7fff45c0bb60) at kernel/qcoreapplication.cpp:732
#35 0x0000003c1b7bcdbe in sendEvent (receiver=0x1a11160, event=0x7fff45c0bb60, alienWidget=0x1a11160, nativeWidget=0x1a08330, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#36 QApplicationPrivate::sendMouseEvent (receiver=0x1a11160, event=0x7fff45c0bb60, alienWidget=0x1a11160, nativeWidget=0x1a08330, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:3058
#37 0x0000003c1b840345 in QETWidget::translateMouseEvent (this=0x1a08330, event=<value optimized out>) at kernel/qapplication_x11.cpp:4403
#38 0x0000003c1b83ec5c in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff45c0c480) at kernel/qapplication_x11.cpp:3536
#39 0x0000003c1b86b0e2 in x11EventSourceDispatch (s=0x12f9a40, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#40 0x00000036bf640342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#41 0x00000036bf6442a8 in ?? () from /lib/libglib-2.0.so.0
#42 0x00000036bf64445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#43 0x0000003c1a395193 in QEventDispatcherGlib::processEvents (this=0x12cdc00, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#44 0x0000003c1b86aa4e in QGuiEventDispatcherGlib::processEvents (this=0x1617d60, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#45 0x0000003c1a367a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#46 0x0000003c1a367dec in QEventLoop::exec (this=0x7fff45c0c7b0, flags=) at kernel/qeventloop.cpp:201
#47 0x0000003c1a36bebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#48 0x00000000004adad5 in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/kaffeine-1.2.1/src/main.cpp:79

Possible duplicates by query: bug 267580, bug 263514, bug 261706, bug 257448, bug 247041.

Reported using DrKonqi
Comment 1 Christoph Pfister 2011-04-10 19:52:11 UTC
Git commit fa3506aa9d3418f08b2e3deae3c0fb829d9f4556 by Christoph Pfister.
Committed on 10/04/2011 at 19:48.
Pushed by pfister into branch 'master'.

eliminate use-after-delete cases

BUG: 270531
BUG: 270607

M  +2    -0    src/dvb/dvbchannel.cpp     
M  +2    -0    src/dvb/dvbrecording.cpp     

http://commits.kde.org/kaffeine/fa3506aa9d3418f08b2e3deae3c0fb829d9f4556